List rules
GET
https://api.vercel.com/ai-gateway/rulesList the authenticated team's routing rules
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.aiGateway.listAiGatewayRules({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "rules": [ { "action": { "reason": "Customer requested refund", "rewriteModel": "string" }, "createdAt": "123", "createdBy": "string", "deleted": "false", "description": "string", "enabled": "false", "match": { "model": "string" }, "ownerId": "example_id", "ruleId": "example_id", "type": "deny", "updatedAt": "123", "updatedBy": "string" } ]}AuthorizationbearerToken
Default authentication mechanism